function idx=HL_ejemplo(Cloud,Cell,User,args)

% Variables dentro del tipo Cloud (se accede Cloud.nombre_variable)
%     properties
%         NC
%         N
%         C
%         B
%         I
%         W
%         CInit
%         BInit     
%         NCvect
%         Nobj
%         Nfree
%         ClustSize
%     end

% Del Cell
%     properties 
%         X        % Indice X
%         Y
%         Idx
%         Rel_X   % Valor de 0 a 1 que indica la posición X
%         Rel_Y   % Idem posicion y
%         Rel_Idx % Idem con el indice
%     end


% Estructura User
% 
%     properties 
%         Operator % Es un numero del 1 al X que indica el operador
%         Service  % Estructura User.Service.c y User.Service.b con los
%         datos de la aplicación
%     end



K=str2num(args);

Group=ceil(Cell.Rel_Idx*Cloud.NC/K);

if (Group==0)
    Group=1;
end;

% Tienes que devolve un vector de indices.
idx=((Group-1)*K*Cloud.ClustSize+1):(Group)*K*Cloud.ClustSize;

if (max(idx)>64)
    k=0;
end