function [idx K]=HL_space_Opt(Cloud,Cell,User,args)
global loads;
global t;
global K;

if (nargin==0)
    loads=[];
    t=0;
    K=[];
    return
end
if (nargin==2)
    idx=loads;    
    K=optClust(4*loads/max(loads),Cloud,Cell);
    return
end


% Numero de zonas en que partimos
N=str2num(args);
if (isempty(loads))
    loads=zeros(N,1);
end

t=t+1;
    
zone=ceil(Cell.Rel_Idx*N);
loads(zone)=loads(zone)+1;

T=900;

if (mod(t,T)==0)
    K=round(optClust(loads,N,Cloud.NC));
    while(sum(K)>Cloud.NC)        
        i=randi(N);
        K(i)=K(i)-1;
        if (K(i)<1)
            K(i)=1;
        end
    end
end

if (isempty(K))
    K=Cloud.NC/N.*ones(N,1);
end

Ki=ceil(Cell.Rel_Idx*length(K));
if (Ki==0)
    Ki=1;
end
if (Ki>1)
    Group=sum(K(1:(Ki-1)));
else
    Group=0;
end
idx=((Group)*Cloud.ClustSize+1):(Group+K(Ki))*Cloud.ClustSize;

if (max(idx)>1024)
    i=0;
end


