% 16 clusters (Quadcores) con conexiones entre todos los clusters

function [C B I]=fullConnect(Nclusters,Cx,Bx,Ix,Ox,B_inter_cluster)

num_c = Nclusters;
inf = 10000000;

% CLUSTER
C_c=Cx;
B_c=Bx;
I_c=Ix;
O_c =Ox;    % todos tienen acceso a la red entre clusters

% DATA CENTER a nivel de cluster
C_d=sum(Cx)*ones(1,num_c);
B_d=[inf*ones(1,num_c), zeros(1,num_c*num_c-num_c)];
I_d = (num_c*num_c)*ones(num_c,num_c);
%i=1:num_c;
%I_d=diag(i);
for i=1:num_c
    I_d (i,i)=i;
end
   

% Default parameters (no need to change here)
B_proc=1000;
num_procesadores = length(C_c);

B_clust=B_inter_cluster;
num_clusters=num_c;

%PAR�METROS INTRODUCIDOS POR EL USUARIO
%nivel CLUSTER
inter_proc=4; %full duplex:1  half duplex:2  bus:3  manual:4


%nivel DATA CENTER
inter_clust=1; %todos con todos mediante un solo bus:1  manual:2


[C I B] = generateDCmodelV(C_d,I_d,B_d,C_c,I_c,B_c,O_c,num_procesadores,inter_proc,B_proc,num_clusters,inter_clust,B_clust);
