inf = 10000000;
C_c=[10 5 7];
B_c=[]; % empty vector
I_c=[]; % empty vector
O_c = [1 1 1];

C_d=[30 20 10 6];
B_d=[]; % empty vector
I_d=[]; % empty vector
   
% Default parameters (no need to change here)
B_proc=20;
num_procesadores = 3;  
B_clust=50;
num_clusters=4;

%PARMETROS INTRODUCIDOS POR EL USUARIO
%nivel CLUSTER
inter_proc=1; %full duplex:1  half duplex:2  bus:3  manual:4

if (inter_proc==4)
    % Definicion manual de conexiones
    B_c=[inf inf inf 1 2 0 0 0 0];

    I_c=[1  4   6;
         4  2   5;
         6  5   3];
else
    % Generacion automatica de conexiones
    B_proc=20;
    num_procesadores = 3;  
end

%nivel DATA CENTER
inter_clust=1; %todos con todos mediante un solo bus:1  manual:2

if (inter_clust==2)
    % Definicion manual de conexiones
	B_d = [inf inf inf inf 15 12 13 0];
    
    I_d = [1    5   8   6;
           5    2   8   8;
           8    8   3   7;
           6    8   7   4];
else
    % Generacion automatica de conexiones
    B_clust=50;
    num_clusters=4;
end


[C I B] = generateDCmodel2(C_d,I_d,B_d,C_c,I_c,B_c,O_c,num_procesadores,inter_proc,B_proc,num_clusters,inter_clust,B_clust);
