function [e t]=linAndMm1(N,t0)
    global mm1Opts
    if nargin==0
        N=1;
    end;
    
    if (t0<40000)
        e=ones(N,1);
        t=(1:N)+t0;
    else
        lambda=1;
        mu=1;            
        timeSim=N;
        e=zeros(timeSim,1);
        t=zeros(timeSim,1);
        for m=1:timeSim
            if m==0
               mutemp=0;
             else 
               mutemp=mu;
            end;

            r=rand();
            t(m)=-log(r)/(lambda+mutemp);

            if r<lambda/(lambda+mutemp)
                e(m)=1;
            else
                e(m)=2;
            end;
        end
    end;