
classdef mappingConfig < handle
    properties 
        w
        weight
        q
        d
        alg
        ord
        arch
        mhop
        Cloud    
    end
    
    methods
        function setCloud(m,Cloud)
            m.Cloud=Cloud;            
        end
        function Res = map(m, cluster, user)
            Res = MappingResult;
            
            if (cluster(1)==-1)
                Nclust=cluster(2);
                
                t=reshape(m.Cloud.C,Nclust*m.Cloud.ClustSize,length(m.Cloud.C)/(Nclust*m.Cloud.ClustSize));
                ResourceMap=sum(t);

                cost=10000;
                trial=1;
                K=find(sum(user.Service.c)<ResourceMap)-1;
                r=randperm(length(K));
                while(cost>=10000 && trial<length(K))
                    Ki=K(r(trial));
                    cluster=(Ki*Nclust*m.Cloud.ClustSize+1):((Ki+1)*Nclust)*m.Cloud.ClustSize;

                    C=m.Cloud.C(cluster);
                    [I B Bidx]=getclusterBI(m.Cloud.B,m.Cloud.I,cluster);

                    %constraints=-1.*ones(1,length(user.Service.c));
                    constraints=ones(length(user.Service.c),length(C));

                    tic
                    [cost result ord C B] = mapper_matlab3(C,I,B,user.Service.c,user.Service.b,m.alg,m.w,m.q,m.weight,m.ord,m.mhop,constraints);
                    %[cost result ord C B] = mapper_matlab2(C,I,B,user.Service.c,user.Service.b,m.w,m.q,1,m.alg,m.ord,m.mhop,constraints);
                    trial=trial+1;
                end
                Res.time=toc;
                if (m.alg>1)
                    i=0;
                end
                m.Cloud.C(cluster)=C;
                m.Cloud.B(Bidx(Bidx>0))=B(Bidx>0);
            
            else

                C=m.Cloud.C(cluster);
                [I B Bidx]=getclusterBI(m.Cloud.B,m.Cloud.I,cluster);

                %constraints=-1.*ones(1,length(user.Service.c));
                constraints=ones(length(user.Service.c),length(C));

                tic
                [cost result ord C B] = mapper_matlab3(C,I,B,user.Service.c,user.Service.b,m.alg,m.w,m.q,m.weight,m.ord,m.mhop,constraints);
                %[cost result ord C B] = mapper_matlab2(C,I,B,user.Service.c,user.Service.b,m.w,m.q,1,m.alg,m.ord,m.mhop,constraints);
                if (cost>10)
                    i=0;
                end
                Res.time=toc;
                if (m.alg>1)
                    i=0;
                end
                m.Cloud.C(cluster)=C;
                m.Cloud.B(Bidx(Bidx>0))=B(Bidx>0);
            end
            Res.cost = cost;
            Res.result = result;
        end
    end
end