function [C B] = platform_model()

% Define the cluster First two elements are connected to the switch
switchBW=1000;
Ccluster=[16000 32000 32000 32000]; 
Bcluster=[100000 100000 100000 100000;100000 100000 0 0; 100000 0 100000 0; 100000 0 0 100000];
nofClusters=50; % also indicates number of cells

% define the whole platform
C=repmat(Ccluster,1,nofClusters); % Vector of processor capacities in MOPTS
B=zeros(nofClusters*length(Ccluster),nofClusters*length(Ccluster));
for i=1:nofClusters
    for j=1:nofClusters
        if (i==j)
            B((i-1)*length(Ccluster)+1:(i)*length(Ccluster),(j-1)*length(Ccluster)+1:(j)*length(Ccluster))=Bcluster;
        end;
    end;
end;

for i=1:length(Ccluster):length(Ccluster)*nofClusters
    for j=1:length(Ccluster):length(Ccluster)*nofClusters
        B(i,j)=switchBW;
    end;    
end;

%C=70000*ones(1,length(Ccluster)*nofClusters);
%B=10000*ones(length(Ccluster)*nofClusters,length(Ccluster)*nofClusters);