function pmf=poissonpmf(alpha,x)
%Poisson (alpha) rv X,
%out=vector pmf: pmf(i)=P[X=x(i)]
x=x(:);
k=(1:max(x))';
logfacts =cumsum(log(k));
pb=exp([-alpha; -alpha+ (k*log(alpha))-logfacts]);
okx=(x>=0).*(x==floor(x));
x=okx.*x;
pmf=okx.*pb(x+1);
%pmf(i)=0 for zero-prob x(i)