function S=readScenarios()

mapConf = mappingConfig;
% Define other algorithms parameters
mapConf.w=1; % algorithm window (for tw-mapping)

mapConf.alg=1; % algorithm selector: 0=tw-mapping, 1=gw-mapping, 2=opt-mapping
mapConf.arch=0; % network architecture: 0=full-duplex, 1=half-duplex, 2=bus
mapConf.ord=0; % pre-processing order: 0=no order, 1=capacity order, 2=bw order
mapConf.mhop=0; % enable multi-hop: 0=no, 1=yes
mapConf.d=1;
mapConf.q=0.5;

Clusters(300)=Cluster;
for i=1:300
    Clusters(i).C = 10000*ones(4,1);
    Clusters(i).B = 100000*ones(4,4);
end;

%Strategy(mappingConf,Clusters,UserCell2Cluster)
Strat=Strategy(mapConf,Clusters,@OneCellOp2Cluster);

%Scenario(duration, newEvent, genPositionDist, genOperatorDist, Noperators,
%genServiceDist, AreaSize, CellSize, Strategies)

area=xy(1000,1000);
cell=xy(100,100);

S=Scenario(1000,@allwaysEnterEvent,@uniformPosition,@vectorOperator,3,@equalService,area,cell,Strat);

