function [I B Bidx] = strategies(Itot, Btot, indices)

N = size(Btot,2);   % size of B

Nc = size(indices,2);
Nc2=Nc*Nc;
Iaux = Itot(:,indices);
Iaux = Iaux(indices,:);

I = zeros(Nc,Nc);   % preinicializacion. No puede quedar un 0 en ninguna posicion de I

B = zeros(1,Nc2);
Bidx = -1*ones(1,Nc2);

i=1:Nc;
B(1:Nc) = Btot(diag(Iaux));
%Bidx(1) = Btot(I(indices(1),indices(1)))
%Bidx(1:Nc) = indices
Bidx(1:Nc) = diag(Iaux);

B_used = -1*ones(1,N);


count = Nc+1;
for i=1:Nc
    for j=1:Nc
        if (i==j)
            I(i,j) = i;
        else
            if (B_used(Iaux(i,j)) == -1)
                I(i,j) = count;
                B(count) = Btot(Itot(indices(i),indices(j)));
                B_used(Iaux(i,j)) = count;
                Bidx(count) = Iaux(i,j);
                count = count+1;
            else
                I(i,j) = B_used(Iaux(i,j));
            end
        end
    end
end

