
% Primero construyo B,I de un multi-core
Ncores=4; % Numero de cores
Bx=100000; % bw entre cores

%Bcluster
Bc=[1000000.*ones(1,Ncores) Bx zeros(1,Ncores^2-1-Ncores)];

%Icluster
Ic=diag(1:Ncores)+(Ncores+1)*(ones(Ncores,Ncores)-eye(Ncores));

% El data center lo monto como todos los clusters SIN CONECTARLOS
Nclusters=16;
N=Nclusters*Ncores;

% B datacenter
B_tmp=repmat(Bc,1,Nclusters);
Bdc=zeros((N)^2,1);
Bdc(1:length(B_tmp))=B_tmp;

% I datacenter
Idc=zeros(N,N);
m=0;
for i=1:Nclusters
    j=(i-1)*Ncores+1:(i)*Ncores;
    Idc(j,j)=Ic+m;
    m=max(max(Idc));
end

% lo que no esta conectado le pongo un indice que vale cero (el ultimo del
% vector Bdc por ejemplo)
Idc(Idc==0)=length(Bdc);

% Y ahora llamo a strategies
indices=17:32;
[I B Bidx] = strategies(Idc, Bdc', indices);


