function [C B I]=cluster2DC(strat)

switch(strat.DCmodel)
    case 1
        Ox = ones(size(strat.clust.C));
        % full connectivity
        [C B I]=fullConnect(strat.Nclusters,strat.clust.C,strat.clust.B,strat.clust.I,Ox,strat.Bd);
        
    case 2
        % repeat clusters
        [C B I]=repeatClusters(strat.Nclusters,strat.clust.C,strat.clust.B,strat.clust.I);
        
    case 3
    % fat-tree
        [C B I]=fat_tree(strat.Nclusters,strat.clust.C,strat.clust.B,strat.clust.I,strat.Bd);
    
    case 4
    %torus
        [C B I]=torus(strat.clust.C,strat.clust.B,strat.clust.I,strat.Nclusters,strat.Bd);
    
    case 5
        % generate from Id
        [C B I]=generateId(strat.Nclusters,strat.clust.C,strat.clust.B,strat.clust.I,num2str(strat.Idstr),strat.Bd);
    case 6
    %custom
        [fu args]=strtok(strat.DCcustom,'(');
        f=str2func(fu);
        [C B I]=f(strat.Nclusters,strat.clust.C,strat.clust.B,strat.clust.I,args(2:(length(args)-1)));
end




