function y=eff(Nv,lambda,mu,g,k)

rho=lambda./mu;
if length(rho)==1
    rho=rho.*ones(length(Nv),1);
end
y=zeros(1,length(Nv));
for i=1:length(Nv)
    y(i)=-(1-g)*rho(i)*erlangMan(rho(i),Nv(i)/k)-g*Nv(i)/rho(i);
end
y(isnan(y))=0;
y(y==0)=-10^-100;

