function [e t n]=event_mm1(N,t0)
    global mm1Opts
    if nargin==0
        N=1;
    end;

    timeSim=N;
    lambda=mm1Opts(1);
    mu=mm1Opts(2);

    e=zeros(timeSim,1);
    t=zeros(timeSim,1);
    n=zeros(timeSim,1);
    for m=1:timeSim-1
        if m==0
           mutemp=0;
         else 
           mutemp=mu;
        end;

        r=rand();
        t(m)=-log(r)/(lambda+mutemp);

        if r<lambda/(lambda+mutemp)
            e(m)=1;
            n(m+1)=n(m)+1;
        else
            e(m)=2;
            n(m+1)=n(m)-1;
        end;
    end
    