function [e t]=event_mm1multiple(N,t0)
    global mm1Opts
    if nargin==0
        N=1;
    end;

    a=size(mm1Opts);
    
    timeSim=N;
    mu=1;
    lambda=mm1Opts(a(1),2);
    for i=a(1):-1:1
        if t0<mm1Opts(i,1)
            lambda=mm1Opts(i,2);
            mu=1;
        end;
    end;

    e=zeros(timeSim,1);
    t=zeros(timeSim,1);
    for m=1:timeSim
        if m==0
           mutemp=0;
         else 
           mutemp=mu;
        end;

        r=rand();
        t(m)=-log(r)/(lambda+mutemp);

        if r<lambda/(lambda+mutemp)
            e(m)=1;
        else
            e(m)=2;
        end;
    end
    