function K=optClust(loads,N,NC)

kn=1.5;
Tmax=5.8;
Pbmax=10^-4;
mu=1;
M=24;
alpha=3;
theta=0;
Nmax=75;
Nmin=4;

options = optimset;
% Modify options setting
options = optimset(options,'Display', 'off');
options = optimset(options,'MaxFunEvals', 200);
options = optimset(options,'Algorithm', 'interior-point');
options = optimset(options,'TolFun', 10^-9);
options = optimset(options,'TolCon', 10^-9);
[K,fval,exitflag,output,lambda,grad,hessian] = ...
fmincon(@(x) sum(loads'.*log(-eff(x,loads,mu,theta,kn))), ...
NC/N*ones(N,1),[],[],[],[],Nmin*ones(N,1),Nmax*ones(N,1), ...
@(x) waitTimeConst2(x,alpha,M,loads,Tmax,NC,Pbmax,mu),...
options);


% [K,fval,exitflag,output] = ...
%     patternsearch(@(x) sum(loads'.*log(-eff(x,loads,mu,theta,kn))),...
%     NC/N*ones(N,1),[],[],[],[],ones(N,1),NC*ones(N,1),...
%     @(x) waitTimeConst2(x,alpha,M,loads,Tmax,NC,Pbmax,mu))
% 



