function p=plotUsersActive(axes,Strategy,Scenario)

for i=1:length(Scenario.Strategies)
    [fe(:,i) t1(i,:)]=Scenario.Strategies(i).vectorFeasibles();
    [us(:,i) t2(i,:)]=Scenario.Strategies(i).vectorActiveProcessors();
end;

fe(:,4)=Scenario.Strategies(1).vectorUsers();

[ax h1 h2]=plotyy(axes,1:length(t1),fe(1:length(t1),:),1:length(t1),us(1:length(t2),:));
set(get(ax(1),'Ylabel'),'String','Number of users');
set(get(ax(2),'Ylabel'),'String','Active Processors');
set(get(ax(1),'Ylabel'),'FontSize',14);
set(get(ax(2),'Ylabel'),'FontSize',14);
set(get(ax(1),'Ylabel'),'FontWeight','bold');
set(get(ax(2),'Ylabel'),'FontWeight','bold');
set(ax(1),'FontSize',11);
set(ax(2),'FontSize',11);
set(ax(1),'YTick',0:4500:18000);
set(ax(2),'YTick',0:4500:18000);
set(ax(1),'YTickLabel',{'0';'4500';'9000';'13500';'18000'});
set(ax(2),'YTickLabel',{'0';'4500';'9000';'13500';'18000'});
set(ax(1),'YLim',[0 18000]);
set(ax(2),'YLim',[0 18000]);
set(ax(1),'XTickLabel',{'0';'5000';'10000';'15000';'20000';'24000'});
set(ax(2),'XTickLabel',{'0';'5000';'10000';'15000';'20000';'24000'});
set(ax(1),'XLim',[0 25000]);
set(ax(2),'XLim',[0 25000]);
set(ax(2),'YColor','r');
grid on;
legend;

Xlabel('Simulation Time');
set(get(ax(1),'Xlabel'),'FontSize',14);
set(get(ax(2),'Xlabel'),'FontSize',14);

set(h1(1),'Color','k');
set(h1(2),'Color','k');
set(h1(3),'Color','k');
set(h1(3),'Color','b');
set(h1(1),'DisplayName','S1 users');
set(h1(2),'DisplayName','S2 users');
set(h1(3),'DisplayName','S3 users');
set(h1(4),'DisplayName','Active users');
set(h1(1),'LineWidth',1.0);
set(h1(2),'LineWidth',3.0);
set(h1(3),'LineWidth',1.0);
set(h1(4),'LineWidth',1.0);
set(h1(3),'LineStyle',':');



set(h2(1),'Color','r');
set(h2(2),'Color','r');
set(h2(3),'Color','r');
set(h2(1),'DisplayName','S1 procs');
set(h2(2),'DisplayName','S2 procs');
set(h2(3),'DisplayName','S3 procs');
set(h2(1),'LineWidth',1.0);
set(h2(2),'LineWidth',3.0);
set(h2(3),'LineWidth',1.0);
set(h2(3),'LineStyle',':');
