function p=plotUsersUsage(axes,Strategy,Scenario)

for i=1:length(Scenario.Strategies)
    [fe(:,i) t1(i,:)]=Scenario.Strategies(i).vectorFeasibles();
    [us(:,i) t2(i,:)]=Scenario.Strategies(i).vectorUsageProcessors();
end;

[ax h1 h2]=plotyy(axes,1:length(t1),fe(1:length(t1),:),1:length(t1),us(1:length(t2),:));
set(get(ax(1),'Ylabel'),'String','Accepted users');
set(get(ax(2),'Ylabel'),'String','Usage Processors');
set(get(ax(1),'Ylabel'),'FontSize',14);
set(get(ax(2),'Ylabel'),'FontSize',14);
set(get(ax(1),'Ylabel'),'FontWeight','bold');
set(get(ax(2),'Ylabel'),'FontWeight','bold');
set(ax(1),'FontSize',11);
set(ax(2),'FontSize',11);
%set(ax(1),'YTick',[0;100;200;300;400]);
%set(ax(2),'YTick',[0;0.2;0.4;0.6;0.8]);
set(ax(2),'YColor','r');
grid on;

xlabel('Simulation Time');
set(get(ax(1),'Xlabel'),'FontSize',14);
set(get(ax(2),'Xlabel'),'FontSize',14);
set(get(ax(1),'Xlabel'),'FontWeight','bold');
set(get(ax(2),'Xlabel'),'FontWeight','bold');


set(h1(1),'Color','k');
set(h1(2),'Color','k');
set(h1(3),'Color','k');
set(h1(1),'DisplayName','S1 users');
set(h1(2),'DisplayName','S2 users');
set(h1(3),'DisplayName','S3 users');
set(h1(1),'LineWidth',1.0);
set(h1(2),'LineWidth',3.0);
set(h1(3),'LineWidth',1.0);
set(h1(3),'LineStyle',':');



set(h2(1),'Color','r');
set(h2(2),'Color','r');
set(h2(3),'Color','r');
set(h2(1),'DisplayName','S1 procs');
set(h2(2),'DisplayName','S2 procs');
set(h2(3),'DisplayName','S3 procs');
set(h2(1),'LineWidth',1.0);
set(h2(2),'LineWidth',3.0);
set(h2(3),'LineWidth',1.0);
set(h2(3),'LineStyle',':');
