
function [Iout Bout] = trans(Iin,Bin,Nc)

Bdone = -1*ones(1,Nc^2);

% initialization
Bout = Bin;
Iout = Iin;

for i=(Nc+1):Nc^2
    if (Bin(i) == 0)    % first zero found 
        ON=i;
        break;
    end
end

% check:
for i=ON:Nc^2
    if (Bin(i) ~= 0) 
        error('B is not defined properly. Zero entries should appear at the end.\n')
    end
end
        

count = Nc+1;
for i=1:Nc
    for j=1:Nc
        if (j~=i)
            if Iin(i,j)<ON
                if (Bdone(Iin(i,j)) == -1)
                    Iout(i,j) = count;
                    Bout(count) = Bin(Iin(i,j));
                    Bdone(Iin(i,j)) = count;
                    count = count+1;
                else
                    Iout(i,j) = Bdone(Iin(i,j));
                end            
            end
        end
    end
end
